RKXFER(3)

NAME
RkXfer - change the current candidate

SYNOPSIS
#include <canna/RK.h>
int RkXfer(cxnum, knum)
int cxnum;
int knum;

DESCRIPTION
RkXfer sets the candidate with a specified candidate number knum as the current candidate. The candidate number must be 0 or greater but less than the highest candidate number in the current clause. The current clause does not change when a candidate number outside this range is specified.

RETURN VALUE
If successful, this function moves the current candidate in the context and returns the candidate number after the move. It returns 0, without doing anything, if it has been run in a nonconversion mode context.